import * as React from 'react';
import { NodeStyleProps, StyledElementProps } from '@udecode/slate-plugins-ui-fluent';
import { MediaEmbedElementStyleSet } from './MediaEmbedElement.types';
declare type Props = StyledElementProps<{
    url: string;
}, NodeStyleProps, MediaEmbedElementStyleSet>;
/**
 * MediaEmbedElement with no default styles.
 * [Use the `styles` API to add your own styles.](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Component-Styling)
 */
export declare const MediaEmbedElementBase: ({ attributes, children, element, className, styles, nodeProps, }: Props) => JSX.Element;
/**
 * MediaEmbedElement
 */
export declare const MediaEmbedElement: React.FunctionComponent<Props>;
export {};
//# sourceMappingURL=MediaEmbedElement.d.ts.map